Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Use gemspec for dependancies

  • Loading branch information...
commit 882133f460f16a36ac330bf424e28f657a3b843c 1 parent 88b5d1a
Justin Morris authored August 27, 2012
7  Gemfile
... ...
@@ -1,8 +1,3 @@
1 1
 source :rubygems
2 2
 
3  
-gem 'eventmachine'
4  
-gem 'em-http-request'
5  
-gem 'faye'
6  
-gem 'headless'
7  
-gem 'librato-metrics'
8  
-gem 'yajl-ruby'
  3
+gemspec
20  Gemfile.lock
... ...
@@ -1,7 +1,17 @@
  1
+PATH
  2
+  remote: .
  3
+  specs:
  4
+    chrome_debugger (0.0.2)
  5
+      eventmachine
  6
+      faye
  7
+      headless
  8
+      librato-metrics
  9
+      yajl-ruby
  10
+
1 11
 GEM
2 12
   remote: http://rubygems.org/
3 13
   specs:
4  
-    addressable (2.2.7)
  14
+    addressable (2.3.2)
5 15
     cookiejar (0.3.0)
6 16
     em-http-request (0.3.0)
7 17
       addressable (>= 2.0.0)
@@ -26,7 +36,7 @@ GEM
26 36
     librato-metrics (0.5.0)
27 37
       faraday (~> 0.7.6)
28 38
       multi_json
29  
-    multi_json (1.2.0)
  39
+    multi_json (1.3.6)
30 40
     multipart-post (1.1.5)
31 41
     rack (1.4.1)
32 42
     yajl-ruby (1.1.0)
@@ -35,8 +45,4 @@ PLATFORMS
35 45
   ruby
36 46
 
37 47
 DEPENDENCIES
38  
-  eventmachine
39  
-  faye
40  
-  headless
41  
-  librato-metrics
42  
-  yajl-ruby
  48
+  chrome_debugger!
7  chrome_debugger.gemspec
@@ -8,6 +8,13 @@ Gem::Specification.new do |s|
8 8
   s.homepage          = "http://github.com/conversation/chrome_debugger"
9 9
   s.has_rdoc          = true
10 10
   s.rdoc_options      << "--title" << "Chrome Debugger" << "--line-numbers"
  11
+
  12
+  s.add_dependency('eventmachine')
  13
+  s.add_dependency('faye')
  14
+  s.add_dependency('headless')
  15
+  s.add_dependency('librato-metrics')
  16
+  s.add_dependency('yajl-ruby')
  17
+
11 18
   s.files             = Dir.glob("{examples,lib}/**/*") + ["README.md", "CHANGELOG"]
12 19
   s.required_rubygems_version = ">=1.3.2"
13 20
   s.required_ruby_version = ">=1.9.2"

0 notes on commit 882133f

Please sign in to comment.
Something went wrong with that request. Please try again.